Bug 495689 - after upgrading to 5.3 rpmbuild faild
after upgrading to 5.3 rpmbuild faild
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 08:40 EDT by Levente Farkas
Modified: 2011-03-15 10:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 03:37:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2009-04-14 08:40:48 EDT
after upgrading to 5.3 one of our rpmbuild fail with a unknown error:
error: line 818: second %post
which is not true. first of all there is no line 818 and the same src.rpm build on 5.2 and fedora too.

while we also encounter a problems with epel's mock-0.9.6 no longer works with 5.3's rpm.

when we downgrade to 5.2 rpm* and popt everything works again both our build and mock start to working. so it seems to clear there is some rpm bug somwhere.
Comment 1 Panu Matilainen 2009-04-15 13:44:41 EDT
Please provide a reproducer for the rpmbuild failure.

What problems are you seeing with mock? "No longer works" is very, very vague.
Comment 2 Levente Farkas 2009-04-16 07:27:49 EDT
for mock just see this long thread, since it's problem for many people as almost all mock build will fail:
http://lists.centos.org/pipermail/centos/2009-April/074912.html
i try to put together a source for rpmbuild.
Comment 3 Levente Farkas 2009-04-30 07:24:25 EDT
there was a bug in our spec file (actualy there were 2 spec file in the tarball which works with previous rpm but not with this) and there is a bug in pam #497570. so this bug can be closed
Comment 4 Panu Matilainen 2009-05-06 03:37:01 EDT
Closing as per comment 3.

FYI, the pam %post failure is now tracked in bug 499048.

Note You need to log in before you can comment on or make changes to this bug.